## heat 11.0.0

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Heat.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Heat.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Heat"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Heat"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The xml files are in $(BUILDDIR)/xml."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cryptography>=2.1 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=1.14.0  # Apache-2.0
openstacksdk>=0.11.2 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
aodhclient>=0.9.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-blazarclient>=1.0.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-magnumclient>=2.1.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-octaviaclient>=1.3.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-zunclient>=2.0.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
heat (1:11.0.0-6) unstable; urgency=medium

  * Install heat-api and heat-api-cfn using uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2019 15:35:44 +0100

heat (1:11.0.0-5) unstable; urgency=medium

  * Added debconf template translations, with thanks to:
    - German: Dr. Tobias Quathamer <toddy@debian.org> (Closes: #914578).
    - French: Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (Closes: #915951).
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #917146)
    - Portuguese: Traduz PT <traduz@debianpt.org> (Closes: #918612).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:20:08 +0100

heat (1:11.0.0-4) unstable; urgency=medium

  * Setup region_name_for_services with debconf
  * Disable sqlite failing tests

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 06 Dec 2018 12:51:15 +0100

heat (1:11.0.0-3) unstable; urgency=medium

  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/rules: Make default
      - [trustee] auth_type password
      - [trustee] user_domain_name default
  * d/heat-common.{config,postinst}.in:
      - Handle things via debconf
          - [DEFAULT] stack_domain_admin
          - [DEFAULT] stack_domain_admin_password
          - [DEFAULT] stack_user_domain_name
          - [trustee] username
          - [trustee] password
      - Create heat domain admin
      - Create heat domain
      - Assign domain admin role to heat_domain_admin
  * d/heat-api-cfn.{config,postinst}.in:
      - Handle things via debconf
          - [DEFAULT] heat_metadata_server_url
          - [DEFAULT] heat_waitcondition_server_url

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 21 Nov 2018 13:34:18 +0100

heat (1:11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:29:57 +0200

heat (1:11.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup messages.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-sphinx-1.7-import-Directive.patch, not needed anymore.
  * Do not install inexistant man pages (Closes: #903868).
  * Correctly purge policy.json (Closes: #905498).
  * Add upstream patches for Python 3.7:
    - Fix_errors_with_issubclass_in_Python_3.7.patch
    - Unit_tests_Fix_mock-errors_with_too_few_side_effects.patch

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jun 2018 10:47:31 +0200

heat (1:10.0.0-3) unstable; urgency=medium

  * Fix the import of the Directive module under Sphinx 1.7 (Closes: #896621).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Apr 2018 10:46:47 +0200

heat (1:10.0.0-2) unstable; urgency=medium

  * Fixed dbc pstrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:46:11 +0000

heat (1:10.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use pkgos-dh_auto_test.
  * Removed heat-api-cloudwatch, as it's removed upstream.
  * Calls dh_misisng.
  * Remove heat_integrationtests/.gitignore.
  * Remove recursive chown/chmod from postinst.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Add dh_python3 --shebang=/usr/bin/python3.
  * Fixed oslo-config-generator namespaces.
  * Blacklist tests broken in Python 3 (not-sorted arrays):
    - test_conv_string_five_instance_stack_create
    - test_conv_empty_template_stack_update_delete
    - test_conv_string_five_instance_stack_update
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 08:37:25 +0000

heat (1:9.0.2-4) unstable; urgency=medium

  * Do not do API endpoint registration in heat-common, as this has been moved
    to heat-api (Closes: #886924).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 09:19:13 +0000

heat (1:9.0.2-3) unstable; urgency=medium

  * Also package .yaml template files.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Dec 2017 12:17:29 +0100

heat (1:9.0.2-2) unstable; urgency=medium

  * Remove pkgos_register_endpoint_config from heat-common (Closes: #884266).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 20:18:56 +0000

heat (1:9.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed min version for openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2017 08:30:48 +0000

heat (1:9.0.0-4) unstable; urgency=medium

  * Fixed heat.conf generation.
  * Moved heat-api endpoint configuration to the heat-api package.
  * Also add logic to register heat-api-cfn using debconf.
  * Removed dh-systemd from build-depends.
  * Added missing lsb-base runtime depends for heat-api.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Dec 2017 10:08:04 +0000

heat (1:9.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use dh_missing --fail-missing

  [ Thomas Goirand ]
  * Using openstack-pkg-tools >= 56~.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Dec 2017 16:59:11 +0000

heat (1:9.0.0-2) unstable; urgency=medium

  * Updated fr.po (Closes: #875754).
  * Fixed FBTFS due to wrong b-d versions (Closes: #880226):
    - Fixed min version of python-zaqarclient.
    - Added missing EPOCH for python-mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 17:02:24 +0000

heat (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updating vcs fields.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Remove obsolete patches.
  * Remove now useless stuff in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2017 23:18:10 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 89~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit (>= 0.13.2),
 git,
 python3-aodhclient (>= 0.9.0),
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient,
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-croniter,
 python3-cryptography (>= 2.1),
 python3-designateclient (>= 2.7.0),
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.0.0),
 python3-lxml,
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock,
 python3-monascaclient (>= 1.12.0),
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.11.2),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler,
 python3-pastedeploy,
 python3-psycopg2 (>= 2.6.2),
 python3-pygments,
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-routes,
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.3.0),
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-troveclient,
 python3-tz,
 python3-webob (>= 1.7.1),
 python3-yaml,
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.7.0),
 python3-zunclient (>= 2.0.0),
 subunit,
 tempest (>= 1:17.1.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - API server
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-heat (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 python3-aodhclient (>= 0.9.0),
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient,
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter,
 python3-cryptography (>= 2.1),
 python3-designateclient (>= 2.7.0),
 python3-eventlet,
 python3-glanceclient (>= 1:2.8.0),
 python3-greenlet,
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.16.0),
 python3-memcache,
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.11.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.1.0),
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-routes,
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.3.0),
 python3-six,
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 3.2.0),
 python3-tenacity (>= 4.4.0),
 python3-troveclient,
 python3-tz,
 python3-webob (>= 1.7.1),
 python3-yaml,
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.7.0),
 python3-zunclient (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart debian/*.templates
	rm -f debian/heat-common.postinst debian/heat-common.config debian/heat-api.config debian/heat-api.postinst debian/heat-api-cfn.config debian/heat-api-cfn.postinst debian/heat-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm heat-common.postrm
	pkgos-merge-templates heat-api heat endpoint
	pkgos-merge-templates heat-api-cfn heat-api-cfn endpoint
	pkgos-merge-templates heat-common heat db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync).*'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	rm -r $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_integrationtests/.gitignore
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--namespace heat.common.config \
		--namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.engine.clients.os.keystone.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
                --namespace oslo.middleware \
		--namespace oslo.db \
		--namespace oslo.log \
                --namespace oslo.policy \
                --namespace oslo.service.service \
                --namespace oslo.service.periodic_task \
                --namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf keystone_authtoken heat

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output $(CURDIR)/debian/heat-common/usr/share/heat-common/policy.json \
		--format json \
		--namespace heat

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	# Fixup a few default for the [trustee] config
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee auth_type password
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee user_domain_name default

	dh_install
	dh_missing -Xbin/cinder-keystone-setup --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
#	sed -i 's|usr/bin/env python|usr/bin/env python3|' $(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages/heat_integrationtests/install-requirements

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/heat/tags .*/(\d[\d\.]+)\.tar\.gz

## heat 11.0.2

=== debian/changelog ===
heat (1:11.0.2-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 18 Jun 2019 19:03:21 +0000

heat (1:11.0.2-0ubuntu1) cosmic; urgency=medium

  [Sahid Orentino Ferdjaoui]
  * New stable point release for OpenStack Rocky (LP: #1830695)
  * d/watch: Fix new tarball names.

  [Corey Bryant]
  * d/gbp.conf: Create stable/rocky branch.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 04 Jun 2019 14:29:15 +0200

heat (1:11.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python{3}-heat packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 10:43:58 -0400

heat (1:11.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:49:29 -0400

heat (1:11.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/heat-*: Move common files to heat-common. Only have
      python(3)-heat depend on heat-common. Other packages that used to
      depend on heat-common now depend on python-heat | python3-heat.
    - d/control: Drop python(3)-heat conflicts on each other.
    - d/python(3)-heat.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.
    - d/python3-heat.install: Install heat/db/sqlalchemy/migrate_repo/migrate.cfg
      similar to python-heat.install.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 14:15:27 -0400

heat (1:11.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * Drop hard requirement for python-zunclient:
    - d/py3dist-overrides: Mirror exclusion of python{3}-zunclient.
    - d/control: python{3}-zunclient Depends -> Suggests.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 17:27:40 +0100

heat (1:11.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:40:17 -0400

heat (1:11.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 21:53:16 -0400

heat (1:11.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-heat package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-heat Depends.
    - d/control: Make python(3)-heat conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/python-heat.install: Drop install of usr/lib/python*/dist-packages/*,
      not needed.
    - d/heat-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-heat.post*, d/python(3)-heat.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for heat daemons and add shebang tests.
    - d/tests/heat-daemons: Use curl to test API.
    - d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jul 2018 13:18:03 -0400

heat (1:11.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 14:07:13 -0400

heat (1:11.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 14:13:47 -0400

=== debian/tests/control ===
Tests: heat-daemons, heat-shebangs-py3
Depends: python3-heat, heat-engine, heat-api, heat-api-cfn
Restrictions: needs-root

Tests: heat-daemons, heat-shebangs-py2
Depends: heat-engine, heat-api, heat-api-cfn
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/heat openstack-heat-(11\.\d.*)\.tar\.gz

## heat 12.0.0

=== debian/changelog ===
heat (1:12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:10:11 +0100

heat (1:12.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Track 12.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:36:38 +0000

heat (1:12.0.0~b1~git2019031825.acce80a25-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:53:52 +0000

heat (1:12.0.0~b1~git2019013034.e0be3707b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:43:36 +0000

heat (1:12.0.0~b1~git2018111708.849420429-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/python(3)-heat.*, d/tests/*: Drop Python 2
    support.
  * d/p/fix-issubclass-py37.patch, d/p/fix-mock-py37.patch: Dropped.
    Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 17 Nov 2018 08:00:42 -0500

heat (1:11.0.0-0ubuntu4) disco; urgency=medium

  * d/p/fix-issubclass-py37.patch: Cherry-picked from upstream master to fix
    errors with issubclass() in Python 3.7.
  * d/p/fix-mock-py37.patch: Cherry-picked from upstream master branch to fix
    StopIteration errors in Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 15:40:51 -0500

heat (1:11.0.0-0ubuntu3) disco; urgency=medium

  * d/tests/heat-shebangs-py3: Update shebang for Python 3.7.
  * d/rules: Enable Python 3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:16:14 -0500

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.0),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.0.0),
 python3-lxml (>= 3.4.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.11.2),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 2.0.0),
 subunit,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Homepage: https://wiki.openstack.org/Heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.0),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.11.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 4.4.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-zunclient (>= 2.0.0),
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 heat-api (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-api-cfn (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-engine (<< 1:11.0.0~rc1-0ubuntu3~),
Replaces:
 heat-api (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-api-cfn (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-engine (<< 1:11.0.0~rc1-0ubuntu3~),
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils  --with python3,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 '^(?!heat_integrationtests)'
endif

override_dh_clean:
	dh_clean
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-heat/usr/etc

override_dh_install:
	PYTHONPATH=$(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages \
		python3-oslo-config-generator --config-file=config-generator.conf \
		--output-file etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/heat openstack-heat-(12\.\d.*)\.tar\.gz

## heat 12.2.0

=== debian/changelog ===
heat (1:12.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1904563).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:49:37 +0000

heat (1:12.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point at opendev.org.
  * New stable point release for OpenStack Stein (LP: #1884028).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 18 Jun 2020 07:33:42 +0000

heat (1:12.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 13:50:59 +0000

=== debian/control ===
--- 
+++ 
@@ -114,8 +114,8 @@
  python3-zunclient (>= 2.0.0),
  subunit,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
 Homepage: https://wiki.openstack.org/Heat
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat openstack-heat-(12\.\d.*)\.tar\.gz
